hadoop-hdfs-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Kevin Burton <rkevinbur...@charter.net>
Subject Re: Cannot communicate
Date Mon, 22 Apr 2013 16:17:39 GMT
What dependency for the Maven project should I use?

On Apr 22, 2013, at 10:02 AM, Ted Yu <yuzhihong@gmail.com> wrote:

> The exception was due to incompatible RPC versions between Apache maven
> artifacts and CDH4.
> 
> I suggest you build the project with same hadoop version as in your cluster.
> 
> On Mon, Apr 22, 2013 at 7:50 AM, Kevin Burton <rkevinburton@charter.net>wrote:
> 
>> I am relatively new to Hadoop and am working through a Manning publication
>> "Hadoop in Action". One of the first program in the book (page 44) gives me
>> a Java exception: org.apache.hadoop.ipc.RemoteException: Server IPC version
>> 7 cannot communicate with client version 3.
>> 
>> My Hadoop distribution is CDH4. The Java Maven project takes its
>> dependency from Apache. The exception comes from a line involving the
>> "Configuration" class.
>> 
>> Any idea on how to avoid this exception?

Mime
View raw message